Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionDockWidgetV2

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionDockWidget
                      com.trolltech.qt.gui.QStyleOptionDockWidgetV2

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleOptionDockWidgetV2

extends QStyleOptionDockWidget

Nested Class Summary
`static class` | `QStyleOptionDockWidgetV2.StyleOptionVersion` Press link for info on QStyleOptionDockWidgetV2.StyleOptionVersion

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOptionDockWidget
`QStyleOptionDockWidget.StyleOptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionDockWidgetV2()` Creates a new QStyleOptionDockWidgetV2, initializing the member variables to their default values.
`protected` | `QStyleOptionDockWidgetV2(int version)` Creates a new QStyleOptionDockWidgetV2 with the specified `version`.
`` | `QStyleOptionDockWidgetV2(QStyleOptionDockWidget other)` Creates a new QStyleOptionDockWidgetV2, which is a copy of `other`.
`` | `QStyleOptionDockWidgetV2(QStyleOptionDockWidgetV2 other)` Creates a new QStyleOptionDockWidgetV2, which is a copy of `other`.

Method Summary
`static QStyleOptionDockWidgetV2` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionDockWidgetV2 instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QStyleOptionDockWidgetV2[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionDockWidgetV2 array.
`void` | `setVerticalTitleBar(boolean verticalTitleBar)` Sets this QStyleOptionDockWidgetV2's title bar to vertical if `verticalTitleBar` is true; otherwise, horizontal.
`boolean` | `verticalTitleBar()` Returns true if this QStyleOptionDockWidgetV2 has a vertical title bar; otherwise, false.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionDockWidget
`closable, floatable, movable, nativePointerArray, setClosable, setFloatable, setMovable, setTitle, title`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionDockWidgetV2

    public QStyleOptionDockWidgetV2(QStyleOptionDockWidget other)

  Creates a new QStyleOptionDockWidgetV2, which is a copy of `other`.

### QStyleOptionDockWidgetV2

    public QStyleOptionDockWidgetV2(QStyleOptionDockWidgetV2 other)

  Creates a new QStyleOptionDockWidgetV2, which is a copy of `other`.

### QStyleOptionDockWidgetV2

    protected QStyleOptionDockWidgetV2(int version)

  Creates a new QStyleOptionDockWidgetV2 with the specified `version`.

### QStyleOptionDockWidgetV2

    public QStyleOptionDockWidgetV2()

  Creates a new QStyleOptionDockWidgetV2, initializing the member variables to their default values.

Method Detail

### setVerticalTitleBar

    public final void setVerticalTitleBar(boolean verticalTitleBar)

  Sets this QStyleOptionDockWidgetV2's title bar to vertical if `verticalTitleBar` is true; otherwise, horizontal.

### verticalTitleBar

    public final boolean verticalTitleBar()

  Returns true if this QStyleOptionDockWidgetV2 has a vertical title bar; otherwise, false.

### fromNativePointer

    public static QStyleOptionDockWidgetV2 fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionDockWidgetV2 instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionDockWidgetV2[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionDockWidgetV2 array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD